<?php
require 'acesso.php';

	$res = array();
	//$id_firma    = $_POST['id_firma'];
	//$id_device = $_POST['id_device'];
	
	$inputJSON = file_get_contents('php://input');
	$dados = json_decode($inputJSON, TRUE); //convert JSON into array
	$tipo_pedido		= $dados['tipo_pedido'];
	$tipo_venda			= $dados['tipo_venda'];
	$n_parcela			= $dados['n_parcela'];
	$dia_primeira		= $dados['dia_primeira'];
	$dias_entre			= $dados['dias_entre'];
	$codigo_clie		= $dados['codigo_clie'];
	$codigo_entrega		= $dados['codigo_entrega'];
	$codigo_rota		= $dados['codigo_rota'];
	$para_entrega		= $dados['para_entrega'];
	$codigo_vend		= $dados['codigo_vend'];
	$data_emis			= $dados['data_emis'];
	$hora_emis			= $dados['hora_emis'];
	$val_tot_desc		= $dados['val_tot_desc'];
	$val_tot_vend		= $dados['val_tot_vend'];
	$observacao			= $dados['observacao'];
	$emitir_nfe			= $dados['emitir_nfe'];
	$assinatura			= $dados['assinatura'];
	$tag_nfc			= $dados['tag_nfc'];

	$query = "INSERT INTO `mobile_pedidos` (`tipo_pedido`, `tipo_venda`, `n_parcela`, `dia_primeira`, `dias_entre`, `codigo_clie`, `codigo_entrega`, 
	`para_entrega`, `codigo_vend`, `data_emis`, `hora_emis`, `val_tot_vend`, `val_tot_desc`, `observacao`, `assinatura`, `emitir_nfe`, `tag_nfc`, `status_pedido`) VALUES (
	'$tipo_pedido', '$tipo_venda', '$n_parcela', '$dia_primeira', '$dias_entre', '$codigo_clie', '$codigo_entrega', '$para_entrega', '$codigo_vend', '$data_emis', 
	'$hora_emis', '$val_tot_vend', '$val_tot_desc', '$observacao', '$assinatura', '$emitir_nfe', '$tag_nfc', 'A')";
	$ret = $con->prepare($query);
	$ret->execute();
	$mensagem = $ret->errorInfo();
	if($mensagem[0] == "00000") {
		$id = $con->lastInsertId();
		$query = "SELECT codigo_pedi, arcontro, data_hora_envio FROM mobile_pedidos WHERE sr_recno = $id";
		$ret = $con->prepare($query);
		$ret->execute();
		$mensagem = $ret->errorInfo();
		if($mensagem[0] == "00000") {
			$row = $ret->fetch(PDO::FETCH_OBJ);
			$res["sucesso"] = 1;
			$res["data_hora_envio"] = $row->data_hora_envio;
			$res["codigo_pedi"] = $row->codigo_pedi;
			$res["arcontro"] = $row->arcontro;
		}
	} else {
		$res["sucesso"] = 0;
	    $res["mensagem"] = $mensagem[2];
	}
	echo json_encode($res);
	$con = null;
?>

